Update a Subscription
This topic describes how to update a webhook subscription, such as updating the notification scope, health check URL, or retry policy. Include only the fields that you want to update in your request.
This request requires the webhook subscription ID. The subscription ID is in the webhookId response field from the create a webhook subscription request.
Endpoint
Send a PATCH request to this endpoint. The {webhookId} is the webhook subscription ID.
PATCH /notification-subscriptions/v2/webhooks/{webhookId}
PATCH /notification-subscriptions/v2/webhooks/{webhookId}
PATCH /notification-subscriptions/v2/webhooks/{webhookId}
Example
Request
{ "name": "My Sample Webhook", "description": "Sample decision manager webhook reject event.", "products": [ { "productId": "decisionManager", "eventTypes": [ "risk.profile.decision.reject" ] } ], "webhookUrl": "https://MyWebhookServer.com:8443:/simulateClient", "healthCheckUrl": "https://MyWebhookServer.com:8443:/simulateClientHealthCheck", "notificationScope": { "scope": "CUSTOM" }}Optional Fields
| Field | Description |
|---|---|
deactivateflag | Required if the healthCheckUrl field is present. Set to true to automatically activate the subscription. |
description | Description of the webhook subscription. |
healthCheckUrl | Set to the health check URL. Required to auto-activate the subscription. If you do not include this field, the created subscription is inactive. An inactive subscription does not send notifications. |
name | Name of the webhook subscription. |
organizationId | Set to your organization ID or merchant ID. |
products. | For a list of event types, see Products and Events. |
products. | For a list of product IDs, see Products and Events. |
retryPolicy. | For more information, see Optional Retry Policy Setup. |
retryPolicy. | For more information, see Optional Retry Policy Setup. |
retryPolicy. | For more information, see Optional Retry Policy Setup. |
retryPolicy. | For more information, see Optional Retry Policy Setup. |
retryPolicy. | For more information, see Optional Retry Policy Setup. |
retryPolicy. | For more information, see Optional Retry Policy Setup. |
securityPolicy. | |
securityPolicy. | |
securityPolicy. | |
securityPolicy. | |
securityPolicy. | |
webhookUrl | The URL in your system to which webhook notifications are sent. |
Response Codes
A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.
Thanks for your feedback!
Last published: October 28, 2026